In this section
← Recipe
- Retrieve the required recipe
- Boost a recipe
- Unboost a recipe
- Recursively retrieve the specified recipe's linked recipes
- Retrieve the recipe's media available to the current user
- Retrieve all of the user's recipes
- Create a new recipe
- Retrieve the specified recipe by its id
- Update an existing recipe
- Delete a recipe
On this page
Recursively retrieve the specified recipe's linked recipes
GET /api/v1/recipes/{recipe_id}/linksTraverse the recipe’s step-link graph and return all transitively linked recipes in a flat list. Publicly accessible without authentication.
Required Scopes
None (public endpoint).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
recipe_id |
path | yes | integer |
Request Body
None.
Responses
200
links
Schema: array[recipe_output]
recipe_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
slug |
string | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
locale |
string | yes | |
serving |
integer | yes | |
serving_type |
string | yes | |
visibility |
string | yes | |
account |
account_output |
yes | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
ingredients |
array[ingredient_output] |
yes | |
steps |
array[] | yes |
